View Issue Details

IDProjectCategoryView StatusLast Update
0005447Talerauditorpublic2019-01-31 19:33
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005447: auditor should accept samples of deposit confirmations from merchants
Description... to then be able to revoke signing keys, if deposit confirmations were observed that do not match or even contradict the exchange's database.
TagsNo tags attached.

Activities

Christian Grothoff

2018-10-28 11:41

manager   ~0013292

The HTTP API has been specified and is (largely) implemented (but not tested).
Mainly missing are:
(0) (more) testing of the API
(1) actual use during auditing
(2) deployment of an HTTPd for the auditor
(3) actual use by the merchants

Christian Grothoff

2018-11-04 17:39

manager   ~0013319

(1) is now done, patch attached, could not yet push as git.taler.net:22 seems down...

Christian Grothoff

2019-01-10 16:20

manager   ~0013455

Started with logic to call auditor for dc's in exchange-lib in 2a01aaa9..12123a7a (logic incomplete).

Christian Grothoff

2019-01-13 17:49

manager   ~0013457

91566dde..7cc7660c concludes the implementation (step #3).

However, more testing would still be good. Marcello: please write a test so that it performs a few deposit operations (10x) with an exchange (httpd) and auditor (httpd), *and* subsequently runs the taler-auditor so that we have a high chance of covering the new logic.

Marcello Stanisci

2019-01-30 23:01

manager   ~0013527

By better looking at the code, commit 537af4631d922b2190b3a3ce8fb.. does implement the test requested in the previous note. In fact, the batch named "massive-deposit-confirms" runs the 10x deposit operations and the one called "normal-auditor" runs taler-auditor.

Marcello Stanisci

2019-01-30 23:21

manager   ~0013528

7b6488d7d77e5da3e7 adds a taler-auditor test command ("massive-auditor") right inside the block with the 10x deposit operations, so this should be solved now.

Issue History

Date Modified Username Field Change
2018-09-28 10:47 Florian Dold New Issue
2018-09-28 10:47 Florian Dold Status new => assigned
2018-09-28 10:47 Florian Dold Assigned To => Christian Grothoff
2018-10-06 15:08 Christian Grothoff Severity minor => feature
2018-10-28 11:41 Christian Grothoff Note Added: 0013292
2018-11-04 17:39 Christian Grothoff Note Added: 0013319
2018-11-18 00:33 Christian Grothoff Product Version => SVN HEAD
2018-11-18 00:33 Christian Grothoff Target Version => 0.7
2019-01-10 16:20 Christian Grothoff Note Added: 0013455
2019-01-13 17:49 Christian Grothoff Note Added: 0013457
2019-01-13 17:49 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2019-01-30 23:01 Marcello Stanisci Note Added: 0013527
2019-01-30 23:21 Marcello Stanisci Note Added: 0013528
2019-01-30 23:25 Marcello Stanisci Status assigned => resolved
2019-01-30 23:25 Marcello Stanisci Resolution open => fixed
2019-01-31 19:33 Christian Grothoff Fixed in Version => 0.6
2019-01-31 19:33 Christian Grothoff Target Version 0.7 => 0.6